@charset "UTF-8";

/* =====================================
   　       　link-list
===================================== */
.l-scope.l-page .c-link-list{
  list-style:none;
  padding:0;
}

.l-scope.l-page .c-link-list > li{
  border-bottom:1px solid var(--color-border);
  overflow:hidden;
  font-size: var(--font-size-s);
  height: 100%;
}

.l-scope.l-page .c-link-list--no-underline > li {
  border-bottom: 0;
}

.l-scope.l-page .c-link-list > li a{
  display: flex;
  align-items: center;
  gap:0.5rem;
  padding: 1rem;
  height: 100%;
  color:inherit;
  text-decoration:none;
  line-height: 1.5;
  background-color: transparent;
  transition: background-color 0.4s;
  z-index: 1;
  
} 

.l-scope.l-page .c-link-list--thin > li a{
  padding:0.5rem;
}

.c-link-list > li:is(.pdf,.xls,.doc,.tel,.fax,.mail) a::before,
.c-link-list > li:is(.arrow-down,.arrow-right,.external) a::after {
  display: block;
  content: "";
  width: 1.2rem;
  height: 1.2rem;
  background-repeat: no-repeat;
  background-size: contain;
  transition: transform 0.4s;
  flex-shrink:0;
  will-change: transform;
  transform: translateZ(0);
}
.c-link-list li a span{
  flex: 1;
  min-width:0;
}

/*FAX link none*/
.c-link-list > li.fax a{
  pointer-events: none; 
}
.c-link-list > li:not(.fax) a:hover {
  background-color: var(--color-hover);
}




/*--- icon arrow-down---*/
.c-link-list > li.arrow-down a::after {
  background-image: url('/wp-content/uploads/2026/03/Vector-8-1.svg');
  margin-top:0.4rem;
}


/*--- icon arrow-right---*/
.c-link-list > li.arrow-right a::after {
  background-image: url('/wp-content/uploads/2026/03/Vector-11.svg');
  margin-top:0.2rem;
}

/*--- icon  External link ---*/
.c-link-list > li.external a::after{
  background-image:url('/wp-content/uploads/2026/03/Vector-9.svg');
}

/*--- icon  PDF ---*/
.c-link-list > li.pdf a::before{
  background-image:url('/wp-content/uploads/2026/03/Vector-4.svg');
}

/*--- icon  xls ---*/
.c-link-list > li.xls a::before{
  background-image:url('/wp-content/uploads/2026/03/Vector-5.svg');
}

/*--- icon  doc ---*/
.c-link-list > li.doc a::before{
  background-image:url('/wp-content/uploads/2026/03/Vector-6-1.svg');
}

/*--- icon  tel ---*/
.c-link-list > li.tel a::before{
  background-image:url('/wp-content/uploads/2026/03/Vector-17.svg');
}

/*--- icon  fax ---*/
.c-link-list > li.fax a::before{
  background-image:url('/wp-content/uploads/2026/03/printer.svg');
}

/*--- icon  mail ---*/
.c-link-list > li.mail a::before{
  background-image:url('/wp-content/uploads/2026/03/mail.svg');
}



/*--- icon  animation ---*/

.c-link-list > li.arrow-down a:hover::after {
  transform: translateY(3px);
}

.c-link-list > li:is(.arrow-right,.external) a:hover::after {
  transform: translatex(3px);
}

.c-link-list > li:is(.pdf,.xls,.doc,.tel,.mail) a:hover::before {
  transform: translateY(-3px);
}